
Redmine - Patch #1808

switch depreciated rhtml to html.erb

2008-08-25 06:54 - Jared Moody

Status: Closed Start date: 2008-08-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

here's a rake task to do this while preserving svn history:

namespace 'views' do

  desc 'Renames all your rhtml views to erb'

  task 'rename' do

    Dir.glob('app/views/**/*.rhtml').each do |file|

      puts `svn mv #{file} #{file.gsub(/\.rhtml$/, '.html.erb')}`

    end

  end

end

History

#1 - 2008-10-27 18:17 - Jared Moody

- Status changed from New to Resolved

- % Done changed from 0 to 100

closed via #1951

#2 - 2008-10-27 18:18 - Jared Moody

Jared Moody wrote:

closed via #1951

 that is, r1951

#3 - 2008-10-27 18:31 - Mischa The Evil

- Status changed from Resolved to Closed

- Target version set to 0.8

- Resolution set to Fixed

#4 - 2008-10-27 19:21 - Eric Davis

- Status changed from Closed to Reopened

- Target version deleted (0.8)

- % Done changed from 100 to 0

- Resolution deleted (Fixed)

r1951 only renamed the plugin generator files and did not change the core views of Redmine.

#5 - 2009-01-18 13:16 - Jean-Philippe Lang

- Tracker changed from Defect to Patch

#6 - 2013-01-13 22:55 - Jan Niggemann (redmine.org team member)

- Status changed from Reopened to Closed
https://www.redmine.org/issues/1951
https://www.redmine.org/issues/1951
https://www.redmine.org/projects/redmine/repository/svn/revisions/1951
https://www.redmine.org/projects/redmine/repository/svn/revisions/1951


Closing this one, there's currently no file in 2.2.0 whose name contains rhtml.
